Support » Plugin: Contact Form 7 » After WP 4.7 upgrade error message

  • After upgrading to WP 4.7 I see this error on the dashboard

    Postman: wp_mail has been declared by another plugin or theme, so you won’t be able to use Postman until the conflict is resolved.

    This is the diagnostic test:
    OS: Linux ip-104-238-125-97.secureserver.net 2.6.32-042stab102.9 #1 SMP Fri Dec 19 20:34:40 MSK 2014 x86_64
    PHP: Linux 5.6.27 C
    PHP Dependencies: iconv=Yes, spl_autoload=Yes, openssl=Yes, sockets=Yes, allow_url_fopen=Yes, mcrypt=Yes, zlib_encode=Yes
    WordPress: 4.7 en_US UTF-8
    WordPress Theme: Avada
    WordPress Plugins: Add Meta Tags, Contact Form DB, Contact Form 7, Fusion Core, Google XML Sitemaps, Limit Login Attempts, MainWP Child, Postman SMTP, Slider Revolution, W3 Total Cache, WolfGram, Xmas Advent Calendar
    WordPress wp_mail Owner: /home/westcanlighting/public_html/westcan/wp-includes/pluggable.php
    WordPress wp_mail Filter(s): wp_staticize_emoji_for_email
    WordPress phpmailer_init Action(s): wpcf7_phpmailer_init
    Postman: 1.7.2
    Postman Sender Domain (Envelope|Message): gmail.com | gmail.com
    Postman Prevent Message Sender Override (Email|Name): No | No
    Postman Active Transport: SMTP (smtp:tls:oauth2://smtp.gmail.com:587)
    Postman Active Transport Status (Ready|Connected): Yes | Yes
    Postman Deliveries (Success|Fail): 95 | 3

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Takayuki Miyoshi

    (@takayukister)

    According to the message from Postman SMTP plugin, wp_mail has been declared by another plugin or theme, so you won’t be able to use Postman until the conflict is resolved. I have no idea which one is the culprit, but I can assure you that Contact Form 7 and Postman SMTP are not.

    Thread Starter tbeerejo

    (@tbeerejo)

    But this makes no sense? It only happened after I installed the 4.7 update? It is happening on all of my sites now that use your plug in?

    Plugin Author Takayuki Miyoshi

    (@takayukister)

    I don’t know about your site and how you have managed it. Also, Contact Form 7 has nothing to do with this issue.

    While acknowledging that post author experiences problems with the WordPress 4.7 update, I must add that Contact Form 7 seems to be working just fine on my test-site.

    My approach to major WordPress releases is to either clone an existing site or create a new one, an then test each and every plugin one by one. Obviously I can’t verify all features, but I test the one I use. In regards of Contact Form 7 that includes display and submitting of forms, input validation and emailing submitted forms. All that worked fine.

    My suggestion to the post author is to roll back to a backup that worked well, and then test the WP 4.7 update in a separate environment, identifying if any plugins are causing problems.

    Kind regards,
    Bjarne

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘After WP 4.7 upgrade error message’ is closed to new replies.